Ruby 2.7.2-GCCcore-10.2.0

There is a newer version of Ruby

Ruby is a dynamic, open source programming language with a focus on simplicity and productivity. It has an elegant syntax that is natural to read and easy to write.

Accessing Ruby 2.7.2-GCCcore-10.2.0

To load the module for Ruby 2.7.2-GCCcore-10.2.0 please use this command on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs):

module load Ruby/2.7.2-GCCcore-10.2.0

BEAR Apps Version

2020h

Extensions

  • activesupport 5.2.4.5
  • addressable 2.7.0
  • arr-pm-0.0.10
  • backports 3.20.2
  • bundler 2.2.11
  • cabin 0.9.0
  • childprocess 4.0.0
  • clamp 1.3.2
  • concurrent-ruby-1.1.8
  • connection_pool 2.2.3
  • diff-lcs-1.4.4
  • ethon 0.12.0
  • faraday 1.3.0
  • faraday-net_http-1.0.1
  • faraday_middleware 1.0.0
  • ffi 1.14.2
  • gh 0.18.0
  • highline 2.0.3
  • i18n 1.8.9
  • json 2.5.1
  • launchy 2.5.0
  • minitest 5.14.3
  • multi_json 1.15.0
  • multipart-post-2.1.1
  • mustermann 1.1.1
  • net-http-persistent-2.9.4
  • net-http-pipeline-1.0.1
  • public_suffix 4.0.6
  • pusher-client-0.6.2
  • rack 2.2.3
  • rack-protection-2.1.0
  • rack-test-1.1.0
  • rspec 3.10.0
  • rspec-core-3.10.1
  • rspec-expectations-3.10.1
  • rspec-mocks-3.10.2
  • rspec-support-3.10.2
  • ruby2_keywords 0.0.4
  • sinatra 2.1.0
  • thread_safe 0.3.6
  • tilt 2.0.10
  • typhoeus 1.4.0
  • tzinfo 1.2.9
  • websocket 1.2.9
  • zeitwerk 2.4.2

More Information

For more information visit the Ruby website.

Dependencies

This version of Ruby has a direct dependency on: GCCcore/10.2.0

Required By

This version of Ruby is a direct dependent of: WebKitGTK+/2.27.4-GCC-10.2.0

Other Versions

These versions of Ruby are available on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 3rd February 2022